--- title: "Get CA List" slug: "security-privateca-getcalist" tags: ["Private CA"] updated: 2026-09-17T10:25:43Z published: 2026-09-17T10:25:43Z canonical: "api.ncloud-docs.com/security-privateca-getcalist" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Get CA List Available in Classic and VPC Get the list of all created CAs. ## Request The following describes the request format for the endpoint. The request format is as follows: | Method | URI | | --- | --- | | GET | /api/v1/ca | ### Request headers For information about the headers common to all CA APIs, see [CA request headers](/docs/en/security-privateca#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Long | Optional | Page number | ### Request example The following is a sample request. ``` curl --location --request GET 'https://pca.apigw.ntruss.com/api/v1/ca' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response The following describes the response format. ### Response body The following describes the response body. | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | String | - | Response code | | `msg` | String | - | Response message | | `data` | Object | - | Response result | | `data.totalCnt` | Long | - | Number of response results | | `data.caInfoList` | Array | - | CA information list: [caInfoList](/docs/en/security-privateca-getcalist#caInfoList) | | `data.totalPageNo` | Long | - | Total page number | | `data.currentPageNo` | Long | - | Current page number | #### `caInfoList` The following describes `caInfoList`. | Field | Type | Required | Description | | --- | --- | --- | --- | | `caInfo` | Object | - | CA information | | `caInfo.signingCount` | Long | - | No. of certificates signed by CA | | `caInfo.caType` | String | - | CA type - `PRIVATE_ROOT` \| `PRIVATE_SUB` | | `caInfo.caId` | Long | - | CA identifier | | `caInfo.statusUpdateDate` | String | - | Latest status change date and time - Timestamp format | | `caInfo.destroyDate` | String | - | Deletion date and time - Timestamp format | | `caInfo.alias` | String | - | CA name | | `caInfo.memo` | String | - | CA memo | | `caInfo.nrn` | String | - | CA identification value - NRN (Ncloud Resource Names): naming rule for NAVER Cloud Platform resources | | `caInfo.urlInfo` | Object | - | URL information | | `caInfo.urlInfo.ocsp` | Array | - | Online Certificate Status Protocol (OCSP) URL | | `caInfo.urlInfo.crl` | Array | - | Certificate revocation list (CRL) URL | | `caInfo.urlInfo.ca` | Array | - | CA URL | | `caInfo.caTag` | String | - | CA tag value | | `caInfo.rgstDate` | Number | - | Registration date and time - Timestamp format | | `caInfo.status` | String | - | CA status - `ACTIVE` \| `DEACTIVATED` \| `DESTROYING` - `ACTIVE`: enabled - `DEACTIVATED`: disabled - `DESTROYING`: scheduled for deletion | | `caCertInfo` | Object | - | CA certificate information | | `caCertInfo.commonName` | String | - | Common name | | `caCertInfo.contry` | String | - | Standard country code - See [ISO 3166-1 alpha-2](https://ko.wikipedia.org/wiki/ISO_3166-1_alpha-2) | | `caCertInfo.issueName` | String | - | Issued CA name | | `caCertInfo.notAfterDate` | Long | - | Certification expiration date and time - Timestamp format | | `caCertInfo.publicKeyAlgorithm` | String | - | Encryption algorithm | | `caCertInfo.notBeforeDate` | Long | - | Certification validity start date and time - Timestamp format | | `caCertInfo.locality` | String | - | City name | | `caCertInfo.stateProvince` | String | - | State/province or region name | | `caCertInfo.organicationUnit` | String | - | Department name | | `caCertInfo.certPem` | String | - | CA certificate (PEM) | | `caCertInfo.chainPem` | String | - | Certificate chain (PEM) | | `caCertInfo.signatureAlgorithm` | String | - | Signature algorithm | | `caCertInfo.serialNo` | String | - | Certificate serial number | | `caCertInfo.caCertId` | Long | - | Certification identifier | | `caCertInfo.organization` | String | - | Organization name | ### Response status codes For information about the HTTP status codes common to all CA APIs, see [CA response status codes](/docs/en/security-privateca#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The following is a sample example. ``` { "code": "SUCCESS", "msg": "Success", "data": { "totalCnt": 3, "caInfoList": [ { "caInfo": { "signingCount": 0, "caType": "PRIVATE_ROOT", "caId": 17***, "statusUpdateDate": null, "destroyDate": null, "alias": "CA001", "nrn":"nrn:PUB:PrivateCA::****:CA/****", "memo": "", "urlInfo": { "ocsp": [], "crl": [ "https://pca.apigw.ntruss.com/ext/********-********/crl" ], "ca": [ "https://pca.apigw.ntruss.com/ext/********-********/ca" ] }, "caTag": "********-********", "rgstDate": 1721105242000, "status": "ACTIVE" }, "caCertInfo": { "commonName": "name001", "country": "", "issuerName": "name001", "notAfterDate": 2036465242000, "publicKeyAlgorithm": "RSA", "notBeforeDate": 1721105212000, "locality": "", "stateProvince": "", "organizationUnit": "", "certPem": "-----BEGIN CERTIFICATE-----\n{Certificate}\n-----END CERTIFICATE-----", "chainPem": "-----BEGIN CERTIFICATE-----\n{CA Chain}\n-----END CERTIFICATE-----", "signatureAlgorithm": "SHA256withRSA", "serialNo": "**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**:**", "caCertId": 17***, "organization": "" } }, { "caInfo": { "signingCount": 0, "caType": "PRIVATE_SUB", "caId": 17***, "statusUpdateDate": null, "destroyDate": null, "alias": "CA000", "nrn":"nrn:PUB:PrivateCA::****:CA/****", "memo": "", "urlInfo": { "ocsp": [], "crl": [], "ca": [] }, "caTag": "********-********", "rgstDate": 1721105063000, "status": "PENDING" }, "caCertInfo": { "commonName": "name000", "country": null, "issuerName": null, "notAfterDate": null, "publicKeyAlgorithm": null, "notBeforeDate": null, "locality": null, "stateProvince": null, "organizationUnit": null, "certPem": "-----BEGIN CERTIFICATE REQUEST-----\n{Certificate}\n-----END CERTIFICATE REQUEST-----", "chainPem": null, "signatureAlgorithm": null, "serialNo": null, "caCertId": 17***, "organization": null } }, { "caInfo": { "signingCount": 0, "caType": "PRIVATE_SUB", "caId": 17***, "statusUpdateDate": null, "destroyDate": null, "alias": "CA123", "nrn":"nrn:PUB:PrivateCA::****:CA/****", "memo": "", "urlInfo": { "ocsp": [], "crl": [], "ca": [] }, "caTag": "********-********", "rgstDate": 1721104975000, "status": "PENDING" }, "caCertInfo": { "commonName": "name000", "country": "KOR", "issuerName": null, "notAfterDate": null, "publicKeyAlgorithm": null, "notBeforeDate": null, "locality": "Pangyo", "stateProvince": "Seongnam-si", "organizationUnit": "org001", "certPem": "-----BEGIN CERTIFICATE REQUEST-----\n{Certificate}\n-----END CERTIFICATE REQUEST-----", "chainPem": null, "signatureAlgorithm": null, "serialNo": null, "caCertId": 17***, "organization": "org000" } } ], "totalPageNo": 1, "currentPageNo": 1 } } ```